local StoneGateV5 = ...

-- Register all stone gate set building parts and their properties
StoneGateV5:dofile("scripts/decoration.lua")

-- Register the stone gate set monument
StoneGateV5:register({
	DataType = "MONUMENT",
	Id = "CUSTOM_DECORATION_V1_MONUMENT",
	Name = "CUSTOM_DECORATION_V1_MONUMENT_NAME",
	Description = "CUSTOM_DECORATION_V1_MONUMENT_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "CUSTOM_DECORATION_V1_MONUMENT_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "CUSTOM_DECORATION_V1_SFENETRE_ROOT_PART",
		            "CUSTOM_DECORATION_V1_LFENETRE_ROOT_PART",
		            "CUSTOM_DECORATION_V1_PFENETRE_ROOT_PART",
		            "CUSTOM_DECORATION_V1_ARROWSLIT_ROOT_PART",
		            "CUSTOM_DECORATION_V1_BALCONY_ROOT_PART",
		            "CUSTOM_DECORATION_V1_CHIMNEY_ROOT_PART",
		            "CUSTOM_DECORATION_V1_LUCARNE_ROOT_PART",
		            "CUSTOM_DECORATION_V1_TURRET_ROOT_PART"
                        }
                }                  
	},
        IsEditable = true
})